package tests;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import vehicle.*;
import vehicle.part.option.*;

import java.util.LinkedList;
import java.util.List;

import static org.junit.Assert.*;

public class VehicleTest {

    List<Option> options = new LinkedList<>();
    GPS gps = new GPS();
    Aircon aircon = new Aircon();


    @Before
    public void setUp(){

        this.options.add(gps);
        this.options.add(aircon);

    }


    @Test
    public void getPriceTest() {

        double result = Vehicle.getPrice(this.options);
        Assert.assertEquals(350d, result,1e-9);

    }
}